import React, { useEffect } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import { loadForwardOptions } from "../../actionCreators";
import ForwardOptionsAdvancedComponent from "./ForwardOptionsAdvancedComponent";

const ForwardOptionsAdvancedView = ({ actions, options }) => {
  useEffect(() => {
    //  actions.loadForwardOptions(forward.optionId);
  }, []);

  return <ForwardOptionsAdvancedComponent />;
};

ForwardOptionsAdvancedView.propTypes = {
  actions: PropTypes.object.isRequired,
  options: PropTypes.object.isRequired
};

function mapStateToProps(state) {
  return {
    options: state.options
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({ loadForwardOptions }, dispatch)
  };
}

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(ForwardOptionsAdvancedView);
